import 'package:flutter/material.dart';
import 'package:IQ/app/modules/home/widgets/shimmer_text.dart';
import 'package:shimmer/shimmer.dart';

class ShimmerTextWidget extends StatelessWidget {
  const ShimmerTextWidget({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.end,
      children: [
        Shimmer.fromColors(
          baseColor: Colors.grey.withOpacity(0.3),
          highlightColor: Colors.white,
          enabled: true,
          child: const ShimmerText(),
        ),
        const SizedBox(height: 5),
        Shimmer.fromColors(
          baseColor: Colors.grey.withOpacity(0.3),
          highlightColor: Colors.white,
          enabled: true,
          child: const ShimmerText(),
        ),
        const SizedBox(height: 5),
        Container(
          margin: const EdgeInsets.symmetric(
            horizontal: 10,
          ),
          child: const Divider(
            color: Colors.white,
          ),
        ),
      ],
    );
  }
}
